org.eclipse.net4j.util.io

## Class ExtendedDataInput.Stream

- java.lang.Object
- - java.io.InputStream
  - - org.eclipse.net4j.util.io.ExtendedDataInput.Stream

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing interface:
    ExtendedDataInput

      public static class ExtendedDataInput.Stream
      extends InputStream

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stream(ExtendedDataInput delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ExtendedDataInput` | `getDelegate()`
    `int` | `read()`

    - ### Methods inherited from class java.io.InputStream

      `available, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stream

          public Stream(ExtendedDataInput delegate)

  - ### Method Detail

    - #### getDelegate

          public ExtendedDataInput getDelegate()

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html